package ex5;

/**
 * Interface de tout objet pouvant être affiché à l'écran
 */
public interface Drawable {
    /**
     * Détermine si l'objet occupe (est affiché à) la position donnée.
     *
     * @param   point   La coordonnée testée pour savoir si l'objet s'y trouve 
     * 
     * @return  Renvoie true si le point de coordonnées spécifiées est occupé
     *          par l'objet.
     */
    public boolean isOn(Point point);

    /**
     * Détermine la couleur de l'objet
     * @return  La couleur de l'objet.
     */
    public char getColor();
}
